QwtPlotItem(3)

NAME
QwtPlotItem -

SYNOPSIS

Inherited by QwtPlotMappedItem.

Detailed Description

Base class for items on the plot canvas.

Definition at line 21 of file qwt_plot_item.h.

  Public Member Functions
QwtPlotItem (QwtPlot *parent, bool nbl=TRUE)
virtual ~QwtPlotItem ()
void reparent (QwtPlot *plot)
QwtPlot * parentPlot ()
const QwtPlot * parentPlot () const
virtual void setEnabled (bool)
bool enabled () const
virtual void itemChanged ()

Constructor & Destructor Documentation

  QwtPlotItem::QwtPlotItem (QwtPlot * parent, bool nbl = TRUE)

Constructor.

Definition at line 14 of file qwt_plot_item.cpp.

  QwtPlotItem::~QwtPlotItem () [virtual]

Destroy the QwtPlotItem.

Definition at line 21 of file qwt_plot_item.cpp.

Member Function Documentation

  bool QwtPlotItem::enabled () const

Returns:
    TRUE if enabled

See also:
    QwtPlotItem::setEnabled

Definition at line 48 of file qwt_plot_item.cpp.

Referenced by QwtPlot::drawCanvasItems().

  void QwtPlotItem::itemChanged () [virtual]

Call QwtPlot::autoRefresh for the parent plot.

Definition at line 54 of file qwt_plot_item.cpp.

References QwtPlot::autoRefresh().

Referenced by QwtPlotCurve::curveChanged(), QwtPlotGrid::gridChanged(), QwtPlotMarker::markerChanged(), QwtPlotMappedItem::setAxis(), setEnabled(), QwtPlotMappedItem::setXAxis(), and QwtPlotMappedItem::setYAxis().

  const QwtPlot* QwtPlotItem::parentPlot () const

Return parent plot.

Definition at line 33 of file qwt_plot_item.h.

  QwtPlot* QwtPlotItem::parentPlot ()

Return parent plot.

Definition at line 30 of file qwt_plot_item.h.

  void QwtPlotItem::reparent (QwtPlot * plot)

reparent the item

Definition at line 26 of file qwt_plot_item.cpp.

Referenced by QwtPlot::insertCurve(), and QwtPlot::insertMarker().

  void QwtPlotItem::setEnabled (bool tf) [virtual]

enables the item

See also:
    QwtPlotItem::setEnabled

Definition at line 35 of file qwt_plot_item.cpp.

References itemChanged().

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.